投稿

1フォロワー フォローする
0
Avatar

外部からスクリプトが利用できません。

旧BBSで"るーや"様が投稿されたトピックです

http://ja.bbs.luna.tv/posting.php?mode=reply&f=70&t=73402

 

Lunascape Core Version 6.7.1.25446 / Unicode
Operating System Version 6.1.7601
Internet Explorer Version 9.0.8112.16421
Gecko Plugin Version 3.6.28.25363 / Gecko 1.9.2.28 
Memory Total,AvailPhys / 8493154304,5968777216
Memory Total,AvailVirtual / 2147352576,1563201536
Processor Architecture,Type,Revision,NumberOfProcessors,OemId / 0,586,10759,4,0

パソコンを買い換えて、Lunascapeをインストールしたのですが、
いままで利用していた、自作のサイト巡回スクリプト(wsf)を利用すると、

「Lunascape2.LunascapeAPIという名前のオートメーション クラスが
見つかりませんでした。」
というエラーが発生して、前のPCでは問題なく動いていたスクリプトが全く動きません。

スクリプトの中身を
<job><script language="JavaScript">
var Luna = WScript.CreateObject("Lunascape2.LunascapeAPI");
</script></job>
だけにしてもエラーが出ますので、オートメーションクラスの認識以外に原因はないはずです。

アンインストールして、最新版をインストールしなおしてもダメです。

以前との環境の違いはOSが64bitになったことですが、64bit版では使用制限があるのでしょうか?

お忙しいところ申し訳ございませんが、よろしく御願いたします。

Support Team

ログインしてコメントを残してください。

1件のコメント

0
Avatar

るーや様

 

Lunascape2.LunascapeAPIをご使用ということは旧形式のスクリプトと思われます。


http://ja.dev.lunascape-inc.com/home/extension/script#TOC--4

上記リンク先に以下の記述があります。、

旧形式のスクリプトアイテムでは、(中略)また、Lunascapeのレジストリへの登録も必要となります(登録作業はLunascape 自身が行います)。


上記のことから、

1. Lunascape上で旧形式のスクリプトを登録して実行(レジストリへの登録が行われます)

2. るーや様が自作されているサイト巡回スクリプトを実行

という手順でお試しいただけますか。

Support Team 0 票